Ana içeriğe geç
🇬🇧 English 🇪🇸 Español 🇧🇷 Português 🇩🇪 Deutsch 🇫🇷 Français 🇯🇵 日本語 🇮🇹 Italiano 🇮🇩 Bahasa Indonesia 🇰🇷 한국어 🇵🇱 Polski 🇳🇱 Nederlands
Görsel Dönüştürücü Video Dönüştürücü Ses Dönüştürücü Belge Dönüştürücü
Araçlar Rehberler Formatlar Fiyatlandırma API
Giriş Yap
Developers

API
DOCUMENTATION

Integrate file conversion into your applications with our simple RESTful API.

Quick Start

1

Get your API key

Sign up for an API plan and generate your key from the dashboard.

2

Upload a file

POST /api/v1/upload
Authorization: Bearer YOUR_API_KEY
Content-Type: multipart/form-data

file: (binary)
3

Start conversion

POST /api/v1/convert
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

{
  "upload_id": "abc-123",
  "target_format": "png"
}
4

Download result

GET /api/v1/download/{token}
Authorization: Bearer YOUR_API_KEY

Endpoints

Method Endpoint Description
POST /api/v1/upload Upload a file for conversion
POST /api/v1/convert Start a conversion job
GET /api/v1/convert/{id}/status Check conversion status
GET /api/v1/download/{token} Download converted file
GET /api/v1/formats List supported formats

Rate Limits

Free Tier

100 requests/month

API Plan

5,000 requests/month

Enterprise

Custom limits

READY TO BUILD?

Get your API key and start converting files programmatically.

Get API Access — €29/mo
İçeriği ve reklamları kişiselleştirmek ve trafiği analiz etmek için çerezleri ve benzer teknolojileri kullanıyoruz. Çerezler hakkında daha fazla bilgi edinin.